//
//  ViewController.h
//  CBPeripheralEx1
//
//  Created by 西田 五郎 on 2015/02/02.
//  Copyright (c) 2015年 isy. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreBluetooth/CoreBluetooth.h>


@interface ViewController : UIViewController
        <CBPeripheralManagerDelegate,UITextFieldDelegate>
{
    CBPeripheralManager *manager;
    
    CBMutableCharacteristic *characteristic;
    CBMutableService *services;
    
    NSString* UUIDService;
    NSString* UUIDCharacteristics;
}

@property (weak, nonatomic) IBOutlet UIButton *btnAdvertising;

@property (weak, nonatomic) IBOutlet UIButton *btnNotify;

@property (weak, nonatomic) IBOutlet UITextField *txtNotify;

@property (weak, nonatomic) IBOutlet UITextField *txtStatus;

- (IBAction)onAdvertising:(id)sender;

- (IBAction)onNotify:(id)sender;

@end

