//
//  ViewController.h
//  CBCentralEx1
//
//  Created by 西田 五郎 on 2015/01/31.
//  Copyright (c) 2015年 isy. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreBluetooth/CoreBluetooth.h>

@interface ViewController : UIViewController<CBCentralManagerDelegate,CBPeripheralDelegate>
{
    //セントラル
    CBCentralManager *centralManager;
    
    //ペリフェラル
    CBPeripheral *targetPeripheral;
    
    //非同期
    //dispatch_queue_t aQueue;
    
    //ターゲットペリフェラル
    NSString* UUIDService;
    NSString* UUIDCharacteristics;
}

//画面関連
@property (weak, nonatomic) IBOutlet UIButton *btnScan;

@property (weak, nonatomic) IBOutlet UIButton *btnConnect;

@property (weak, nonatomic) IBOutlet UIButton *btnClose;

@property (weak, nonatomic) IBOutlet UITextField *txtNotifyData;

@property (weak, nonatomic) IBOutlet UITextField *txtStatus;

- (IBAction)OnBtnScan:(id)sender;

- (IBAction)OnBtnClose:(id)sender;

- (IBAction)OnBtnConnect:(id)sender;

@end

